## gexiv2 0.1.0

=== Makefile ===
PKGNAME = gexiv2
VERSION = 0.1.0

LIBRARY = lib$(PKGNAME)
LIBRARY_BIN = $(LIBRARY).la

INSTALL_PROGRAM = install
INSTALL_DATA = install -m 644

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
BUILD_RELEASE=1
BUILD_DIR=gexiv2
LIB=lib

UNAME := $(shell uname)
SYSTEM := $(UNAME:MINGW32_%=MinGW)

ifeq "$(SYSTEM)" "Linux"
  LINUX = 1
endif

ifeq "$(SYSTEM)" "MinGW"
  WINDOWS = 1
endif

ifeq "$(SYSTEM)" "Darwin"
  MAC = 1
endif

-include configure.mk

SRC_FILES = \
	gexiv2-metadata.cpp \
	gexiv2-metadata-exif.cpp \
	gexiv2-metadata-gps.cpp \
	gexiv2-metadata-iptc.cpp \
	gexiv2-metadata-xmp.cpp \
	gexiv2-stream-io.cpp \
	gexiv2-preview-properties.cpp \
	gexiv2-preview-image.cpp

HEADER_FILES = \
	gexiv2.h \
	gexiv2-metadata.h \
	gexiv2-managed-stream.h \
	gexiv2-metadata-private.h \
	gexiv2-stream-io.h \
	gexiv2-preview-properties.h \
	gexiv2-preview-properties-private.h \
	gexiv2-preview-image.h \
	gexiv2-preview-image-private.h

INSTALLED_HEADER_FILES = \
	gexiv2.h \
	gexiv2-metadata.h \
	gexiv2-managed-stream.h \
	gexiv2-preview-properties.h \
	gexiv2-preview-image.h

EXT_PKGS = \
	gobject-2.0 \
	glib-2.0 \
	exiv2

EXT_PKG_VERSIONS = \
	exiv2 >= 0.19

VAPI_INPUT = \
	gexiv2.deps \
	gexiv2.excludes \
	gexiv2.files \
	gexiv2.metadata \
	gexiv2.namespace

EXPANDED_SRC_FILES = $(foreach src,$(SRC_FILES),gexiv2/$(src))
EXPANDED_OBJ_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.cpp=.o))
EXPANDED_LO_FILES = $(foreach src,$(SRC_FILES),$(BUILD_DIR)/$(src:.cpp=.lo))
EXPANDED_HEADER_FILES = $(foreach hdr,$(HEADER_FILES),gexiv2/$(hdr))
EXPANDED_INSTALLED_HEADER_FILES = $(foreach hdr,$(INSTALLED_HEADER_FILES),gexiv2/$(hdr))
EXPANDED_VAPI_INPUT = $(foreach src,$(VAPI_INPUT),vapi/$(src))
DESTDIR_HEADER_FILES = $(foreach hdr,$(INSTALLED_HEADER_FILES),$(DESTDIR)$(PREFIX)/include/$(PKGNAME)/$(hdr))

VAPI_FILE = $(PKGNAME).vapi
VAPI_GENERATED_FILES = vapi/$(PKGNAME).gi

PC_INPUT = $(PKGNAME).m4
PC_FILE = $(PKGNAME).pc

DIST_FILES = Makefile configure $(EXPANDED_SRC_FILES) $(EXPANDED_HEADER_FILES) $(EXPANDED_VAPI_INPUT) \
	$(VAPI_FILE) $(PC_INPUT) AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS

DIST_TAR = $(LIBRARY)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz

EXT_PKGS_CFLAGS = `pkg-config --cflags $(EXT_PKGS)`
EXT_PKGS_LDFLAGS = `pkg-config --libs $(EXT_PKGS)`

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe -fPIC -nostdlib
else
CFLAGS = -O2 -g -pipe -fPIC -nostdlib
endif
endif

all: $(LIBRARY_BIN) $(PC_FILE)

clean:
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(EXPANDED_LO_FILES)
	rm -rf .libs
	rm -rf $(BUILD_DIR)/.libs
	rm -rf $(LIBRARY)-$(VERSION)
	rm -f $(LIBRARY_BIN)
	rm -f $(VAPI_GENERATED_FILES)
	rm -f $(PC_FILE)

dist: $(DIST_FILES)
	mkdir -p $(LIBRARY)-$(VERSION)
	cp --parents $(DIST_FILES) $(LIBRARY)-$(VERSION)
	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(LIBRARY)-$(VERSION)
	tar --gzip -cvf $(DIST_TAR_GZ) $(LIBRARY)-$(VERSION)
	rm -rf $(LIBRARY)-$(VERSION)

distclean: clean
	rm -f configure.mk

vapi: $(VAPI_FILE)
	@

.PHONY: install
install:
	@mkdir -p $(DESTDIR)$(PREFIX)/$(LIB)
	libtool --mode=install $(INSTALL_PROGRAM) $(LIBRARY).la $(DESTDIR)$(PREFIX)/$(LIB)
	@mkdir -p $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
	$(INSTALL_DATA) $(EXPANDED_INSTALLED_HEADER_FILES) $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
	@mkdir -p $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig
	$(INSTALL_DATA) $(PC_FILE) $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig
	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi

install-vapi:
	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi

uninstall:
	libtool --mode=uninstall rm -f $(DESTDIR)$(PREFIX)/$(LIB)/$(LIBRARY).la
	rm -rf $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
	rm -f $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig/$(PKGNAME).pc
	rm -f $(DESTDIR)$(PREFIX)/share/vala/vapi/$(PKGNAME).vapi

$(VAPI_FILE): $(EXPANDED_VAPI_INPUT) $(DESTDIR_HEADER_FILES) Makefile $(CONFIG_IN)
	@pkg-config --exists --print-errors $(PKGNAME)
	vala-gen-introspect $(PKGNAME) vapi
	vapigen --library=$(PKGNAME) --metadata=vapi/$(PKGNAME).metadata vapi/$(PKGNAME).gi

$(PC_FILE) : $(PC_INPUT) Makefile $(CONFIG_IN)
	m4 '--define=_VERSION_=$(VERSION)' '--define=_PREFIX_=$(PREFIX)' $< > $@

$(EXPANDED_OBJ_FILES): $(BUILD_DIR)/%.o: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
	@pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
	@mkdir -p $(BUILD_DIR)
	libtool --mode=compile $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<

$(LIBRARY_BIN): $(EXPANDED_OBJ_FILES)
	libtool --mode=link $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(LIBRARY_BIN)

=== debian/changelog ===
gexiv2 (0.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.
  * debian/watch:
    - Scan stable releases only.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Jun 2010 00:41:43 +0200

gexiv2 (0.0.91-2) unstable; urgency=low

  * debian/libgexiv2-dev.install:
    - Install .pc file.
    - Install Vala API file.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 17 Jun 2010 23:21:50 +0200

gexiv2 (0.0.91-1) unstable; urgency=low

  * Initial release (Closes: #585602).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Jun 2010 11:21:55 +0200

=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
Standards-Version: 3.9.0
Homepage: http://trac.yorba.org/wiki/gexiv2
Vcs-Git: git://git.debian.org/collab-maint/gexiv2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gexiv2.git;a=summary

Package: libgexiv2-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgexiv2-0 (= ${binary:Version}), libexiv2-dev
Description: GObject-based wrapper around the Exiv2 library (development files)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgexiv2-0 (= ${binary:Version})
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-0 (>= 0.0.91)'

override_dh_strip:
	dh_strip --dbg-package=libgexiv2-0-dbg

=== debian/watch ===
version=3
http://yorba.org/download/gexiv2/([\d\.]+)/libgexiv2-([0-9\.]*)\.tar\.gz

## gexiv2 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME = gexiv2
-VERSION = 0.1.0
+VERSION = 0.2.0
 
 LIBRARY = lib$(PKGNAME)
 LIBRARY_BIN = $(LIBRARY).la
@@ -163,8 +163,8 @@
 $(EXPANDED_OBJ_FILES): $(BUILD_DIR)/%.o: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
 	@pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
 	@mkdir -p $(BUILD_DIR)
-	libtool --mode=compile $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<
+	libtool --mode=compile --tag=CC $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<
 
 $(LIBRARY_BIN): $(EXPANDED_OBJ_FILES)
-	libtool --mode=link $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(LIBRARY_BIN)
+	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(LIBRARY_BIN)

=== debian/changelog ===
gexiv2 (0.2.0-0ubuntu2.1) maverick-proposed; urgency=low

  * debian/patches/do_not_crash_when_importing_images.patch:
    - do not crash when importing files with zero size
      ExifImage.Orientation field (LP: #636161)

 -- Omer Akram <om26er@ubuntu.com>  Sat, 20 Nov 2010 15:15:16 +0500

gexiv2 (0.2.0-0ubuntu2) maverick; urgency=low

  * debian/libgexiv2-dev.install:
    - Fix incorrect directory move

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 10:18:25 +1000

gexiv2 (0.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/libgexiv2-dev.install:
    - Move vala directory to /usr/share/vala-0.10
  * debian/watch:
    - Update download location

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 09:52:14 +1000

gexiv2 (0.1.91-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Aug 2010 13:40:51 +1000

gexiv2 (0.1.90-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Add Vcs-Bzr link
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 10:08:51 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
 Standards-Version: 3.9.0
 Homepage: http://trac.yorba.org/wiki/gexiv2
-Vcs-Git: git://git.debian.org/collab-maint/gexiv2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gexiv2.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gexiv2/ubuntu
 
 Package: libgexiv2-0
 Architecture: any

## gexiv2 0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME = gexiv2
-VERSION = 0.2.0
+VERSION = 0.2.2
 
 LIBRARY = lib$(PKGNAME)
 LIBRARY_BIN = $(LIBRARY).la
@@ -153,7 +153,8 @@
 	rm -f $(DESTDIR)$(PREFIX)/share/vala/vapi/$(PKGNAME).vapi
 
 $(VAPI_FILE): $(EXPANDED_VAPI_INPUT) $(DESTDIR_HEADER_FILES) Makefile $(CONFIG_IN)
-	@pkg-config --exists --print-errors $(PKGNAME)
+	@echo NOTE: This version of gexiv2 must be installed to generate a VAPI file.
+	@pkg-config --exact-version=$(VERSION) --print-errors $(PKGNAME)
 	vala-gen-introspect $(PKGNAME) vapi
 	vapigen --library=$(PKGNAME) --metadata=vapi/$(PKGNAME).metadata vapi/$(PKGNAME).gi

=== debian/changelog ===
gexiv2 (0.2.2-6) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Add DM-Upload-Allowed field.
  * debian/libgexiv2-dev.install:
    - Install .vapi file in versionless /usr/share/vala/vapi directory,
      thanks Martin Pitt for the bug report! (Closes: #649072).
  * debian/rules:
    - Pass --dbg-package=libgexiv2-0-dbg to dh instead of providing an
      override for dh_strip.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 19 Nov 2011 11:16:23 +0100

gexiv2 (0.2.2-5) unstable; urgency=low

  * Team upload
  * Rebuild to solve a double free issue with shotwell (Closes: #624630).
  * debian/control:
    - Add Debian Shotwell Maintainers to Maintainers.
    - Move Devid to Uploaders.
    - Bump Standards-Version to 3.9.2.
    - Adjust Homepage field to new website location.
  * debian/libgexiv2-0.symbols.amd64:
    - Refresh symbol file (Closes: #625168).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 21 Aug 2011 11:26:50 +0200

gexiv2 (0.2.2-4) unstable; urgency=low

  * debian/libgexiv2-dev.install: install *.vapi files also in vala-0.12/vapi
    dir.
  * debian/rules: add override_dh_installchangelogs target.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 08 Apr 2011 23:22:39 +0200

gexiv2 (0.2.2-3) unstable; urgency=medium

  * Update debian/libgexiv2-0.symbols.amd64 file (Closes: #618244).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 19 Mar 2011 15:00:56 +0100

gexiv2 (0.2.2-2) unstable; urgency=low

  * Upload to unstable.
  * Add debian/libgexiv2-0.symbols.amd64 file.
  * Remove debian/libgexiv2-0.symbols.i386 file.
  * debian/rules: update dh_makeshlibs call.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 28 Feb 2011 22:57:47 +0100

gexiv2 (0.2.2-1) experimental; urgency=low

  * New upstream release.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 07 Jan 2011 14:58:46 +0100

gexiv2 (0.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 15 Sep 2010 15:22:10 +0200

gexiv2 (0.2.0-1) experimental; urgency=low

  * Set myself as maintainer.
  * New upstream release.
  * debian/libgexiv2-dev.install: install vapi files in usr/share/vala-0.10.
  * Update debian/libgexiv2-0.symbols.i386 file.
  * debian/rules: update dh_makeshlibs call.
  * debian/control: remove Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 24 Aug 2010 16:11:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
-Standards-Version: 3.9.0
-Homepage: http://trac.yorba.org/wiki/gexiv2
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gexiv2/ubuntu
+Standards-Version: 3.9.2
+Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
+DM-Upload-Allowed: yes
 
 Package: libgexiv2-0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libgexiv2-0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-0 (>= 0.2.2)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gexiv2 0.3.1

=== debian/changelog ===
gexiv2 (0.3.1-2) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #656749).
  * debian/control:
    - Build-depend against libexiv2-dev (>= 0.21).
    - Breaks shotwell (<< 0.12).
  * debian/libgexiv2-0.symbols.amd64:
    - Refresh for new upstream version.
  * debian/rules:
    - Bump dh_makeshlibs version.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 09 Feb 2012 23:21:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
+Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
 Standards-Version: 3.9.2
 Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
 DM-Upload-Allowed: yes
@@ -11,6 +11,7 @@
 Package: libgexiv2-0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: shotwell (<< 0.12)
 Description: GObject-based wrapper around the Exiv2 library
  gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
  features of Exiv2 available to GNOME applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libgexiv2-0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-0 (>= 0.3.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gexiv2 0.4.1

=== debian/changelog ===
gexiv2 (0.4.1-3) unstable; urgency=low

  * Team upload
  * debian/libgexiv2-1.symbols.amd64:
    - Mark constructor symbols as optional (Closes: #671951).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 May 2012 08:46:04 +0200

gexiv2 (0.4.1-2) unstable; urgency=low

  * Team upload to unstable.
  * debian/libgexiv2-1.symbols.amd64:
    - Refresh symbols file (Closes: #667176).
  * debian/rules:
    - Bump minimum version in dh_makeshlibs to 0.4.1.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 May 2012 18:01:18 +0200

gexiv2 (0.4.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/soname.patch:
    - Removed, already implemented upstream.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/copyright:
    - Convert to DEP5 format.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 Apr 2012 13:20:38 +0200

gexiv2 (0.3.92-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/soname.patch:
    - Cherry-pick patch from upstream to bump SONAME.
  * debian/control:
    - Rename shared library and debug packages after SONAME bump.
    - Bump Standards-Version to 3.9.3, no changes required.
  * debian/libgexiv2-1.install:
    - Renamed from libgexiv2-0.install after SONAME bump.
  * debian/rules:
    - Rename debug package after SONAME bump.
    - Adjust dh_makeshlibs call.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Mar 2012 01:01:16 +0100

=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
Standards-Version: 3.9.3
Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
DM-Upload-Allowed: yes

Package: libgexiv2-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: shotwell (<< 0.12)
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgexiv2-1 (= ${binary:Version}), libexiv2-dev
Description: GObject-based wrapper around the Exiv2 library (development files)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgexiv2-1 (= ${binary:Version})
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libgexiv2-1-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-1 (>= 0.4.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gexiv2 0.4.90

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,15 @@
 PKGNAME = gexiv2
-VERSION = 0.2.2
+VERSION = 0.4.90
+WORD_SIZE:=$(shell getconf LONG_BIT)
+
+# This was necessary because the typelib files don't seem to load if the
+# version info has more than one period in it.
+GIR_VERSION = 0.4
+
+# This number must be edited whenever a change has been made that may affect libgexiv2's
+# external interface.  Please see http://sourceware.org/autobook/autobook/autobook_91.html
+# for the version numbering convention that should be used for this.
+VERSION_INFO = 1:0:0
 
 LIBRARY = lib$(PKGNAME)
 LIBRARY_BIN = $(LIBRARY).la
@@ -13,22 +23,15 @@
 BUILD_DIR=gexiv2
 LIB=lib
 
-UNAME := $(shell uname)
-SYSTEM := $(UNAME:MINGW32_%=MinGW)
-
-ifeq "$(SYSTEM)" "Linux"
-  LINUX = 1
-endif
-
-ifeq "$(SYSTEM)" "MinGW"
-  WINDOWS = 1
-endif
-
-ifeq "$(SYSTEM)" "Darwin"
-  MAC = 1
-endif
-
 -include configure.mk
+
+# Used to determine where Python wants the .gi file to be installed ... if Python is not installed,
+# PYTHON2 and PYTHON3 will be empty
+PYTHON="import gi; print(gi._overridesdir)"
+PYTHON2=$(shell python2 -c $(PYTHON) 2> /dev/null)
+PYTHON3=$(shell python3 -c $(PYTHON) 2> /dev/null)
+
+TYPELIB=`pkg-config gobject-introspection-no-export-1.0 --variable typelibdir`
 
 SRC_FILES = \
 	gexiv2-metadata.cpp \
@@ -38,10 +41,14 @@
 	gexiv2-metadata-xmp.cpp \
 	gexiv2-stream-io.cpp \
 	gexiv2-preview-properties.cpp \
-	gexiv2-preview-image.cpp
+	gexiv2-preview-image.cpp \
+	gexiv2-log.cpp \
+	gexiv2-startup.cpp
 
 HEADER_FILES = \
 	gexiv2.h \
+	gexiv2-log.h \
+	gexiv2-log-private.h \
 	gexiv2-metadata.h \
 	gexiv2-managed-stream.h \
 	gexiv2-metadata-private.h \
@@ -49,14 +56,17 @@
 	gexiv2-preview-properties.h \
 	gexiv2-preview-properties-private.h \
 	gexiv2-preview-image.h \
-	gexiv2-preview-image-private.h
+	gexiv2-preview-image-private.h \
+	gexiv2-startup.h
 
 INSTALLED_HEADER_FILES = \
 	gexiv2.h \
 	gexiv2-metadata.h \
 	gexiv2-managed-stream.h \
 	gexiv2-preview-properties.h \
-	gexiv2-preview-image.h
+	gexiv2-preview-image.h \
+	gexiv2-log.h \
+	gexiv2-startup.h
 
 EXT_PKGS = \
 	gobject-2.0 \
@@ -64,7 +74,7 @@
 	exiv2
 
 EXT_PKG_VERSIONS = \
-	exiv2 >= 0.19
+	exiv2 >= 0.21
 
 VAPI_INPUT = \
 	gexiv2.deps \
@@ -83,6 +93,9 @@
 
 VAPI_FILE = $(PKGNAME).vapi
 VAPI_GENERATED_FILES = vapi/$(PKGNAME).gi
+ifdef ENABLE_INTROSPECTION
+	TYPELIB_FILE = GExiv2-$(GIR_VERSION).typelib
+endif
 
 PC_INPUT = $(PKGNAME).m4
 PC_FILE = $(PKGNAME).pc
@@ -91,22 +104,53 @@
 	$(VAPI_FILE) $(PC_INPUT) AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS
 
 DIST_TAR = $(LIBRARY)-$(VERSION).tar
-DIST_TAR_BZ2 = $(DIST_TAR).bz2
-DIST_TAR_GZ = $(DIST_TAR).gz
+DIST_TAR_XZ = $(DIST_TAR).xz
 
 EXT_PKGS_CFLAGS = `pkg-config --cflags $(EXT_PKGS)`
 EXT_PKGS_LDFLAGS = `pkg-config --libs $(EXT_PKGS)`
+
+# REQUIRED_CFLAGS absolutely get appended to CFLAGS, whatever the
+# the value of CFLAGS in the environment.
+REQUIRED_CFLAGS=-Wl,-lstdc++
+
+# Because -fPIC can interfere with compilation on 32-bit platforms but 
+# is absolutely necessary for AMD64, we check what the target machine's 
+# word size is, and set our required flags based upon that.
+ifeq "$(WORD_SIZE)" "64"
+    REQUIRED_CFLAGS += -fPIC -DPIC
+endif
+# otherwise, the target is 32-bit, so we don't need to add -fPIC.
+
 
 # setting CFLAGS in configure.mk overrides build type
 ifndef CFLAGS
 ifdef BUILD_DEBUG
-CFLAGS = -O0 -g -pipe -fPIC -nostdlib
+CFLAGS = -O0 -g -pipe -nostdlib
 else
-CFLAGS = -O2 -g -pipe -fPIC -nostdlib
-endif
-endif
-
-all: $(LIBRARY_BIN) $(PC_FILE)
+CFLAGS = -O2 -g -pipe -nostdlib
+endif
+endif
+
+CFLAGS += $(REQUIRED_CFLAGS)
+
+all: $(LIBRARY_BIN) $(PC_FILE) $(TYPELIB_FILE)
+
+%.typelib: %.gir
+	g-ir-compiler --includedir=$(BUILD_DIR) -o $@ $<
+
+GExiv2-$(GIR_VERSION).gir: $(LIBRARY_BIN)
+	g-ir-scanner --verbose                          \
+		--namespace=GExiv2                      \
+		--nsversion=$(GIR_VERSION)              \
+		--symbol-prefix=$(PKGNAME)              \
+		--include=GObject-2.0                   \
+		--add-include-path=$(BUILD_DIR)         \
+		--output $@                             \
+		-I $(PKGNAME)                           \
+		$(EXPANDED_INSTALLED_HEADER_FILES)      \
+		$(EXPANDED_SRC_FILES)                   \
+		--library $(LIBRARY_BIN)                \
+		--pkg=gobject-2.0
 
 clean:
 	rm -f $(EXPANDED_OBJ_FILES)
@@ -117,12 +161,12 @@
 	rm -f $(LIBRARY_BIN)
 	rm -f $(VAPI_GENERATED_FILES)
 	rm -f $(PC_FILE)
+	rm -f *.gir *.typelib
 
 dist: $(DIST_FILES)
 	mkdir -p $(LIBRARY)-$(VERSION)
 	cp --parents $(DIST_FILES) $(LIBRARY)-$(VERSION)
-	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(LIBRARY)-$(VERSION)
-	tar --gzip -cvf $(DIST_TAR_GZ) $(LIBRARY)-$(VERSION)
+	tar --xz -cvf $(DIST_TAR_XZ) $(LIBRARY)-$(VERSION)
 	rm -rf $(LIBRARY)-$(VERSION)
 
 distclean: clean
@@ -141,6 +185,17 @@
 	$(INSTALL_DATA) $(PC_FILE) $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig
 	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
 	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi
+ifdef ENABLE_INTROSPECTION
+	$(INSTALL_DATA) GExiv2-$(GIR_VERSION).gir $(DESTDIR)$(PREFIX)/share/gir-1.0
+	$(INSTALL_DATA) GExiv2-$(GIR_VERSION).typelib $(DESTDIR)$(TYPELIB)
+# No introspection, no .gi file for the Python module to call into
+ifneq "$(PYTHON2)" ""
+	$(INSTALL_DATA) GExiv2.py $(DESTDIR)$(PYTHON2)
+endif
+ifneq "$(PYTHON3)" ""
+	$(INSTALL_DATA) GExiv2.py $(DESTDIR)$(PYTHON3)
+endif
+endif
 
 install-vapi:
 	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
@@ -151,14 +206,24 @@
 	rm -rf $(DESTDIR)$(PREFIX)/include/$(PKGNAME)
 	rm -f $(DESTDIR)$(PREFIX)/$(LIB)/pkgconfig/$(PKGNAME).pc
 	rm -f $(DESTDIR)$(PREFIX)/share/vala/vapi/$(PKGNAME).vapi
+ifdef ENABLE_INTROSPECTION
+	rm -f $(DESTDIR)$(PREFIX)/share/gir-1.0/GExiv2-$(GIR_VERSION).gir
+	rm -f $(DESTDIR)$(TYPELIB)/GExiv2-$(GIR_VERSION).typelib
+ifneq "$(PYTHON2)" ""
+	rm -rf $(DESTDIR)$(PYTHON2)/GExiv2.py
+endif
+ifneq "$(PYTHON3)" ""
+	rm -rf $(DESTDIR)$(PYTHON3)/GExiv2.py
+endif
+endif
 
 $(VAPI_FILE): $(EXPANDED_VAPI_INPUT) $(DESTDIR_HEADER_FILES) Makefile $(CONFIG_IN)
 	@echo NOTE: This version of gexiv2 must be installed to generate a VAPI file.
 	@pkg-config --exact-version=$(VERSION) --print-errors $(PKGNAME)
 	vala-gen-introspect $(PKGNAME) vapi
-	vapigen --library=$(PKGNAME) --metadata=vapi/$(PKGNAME).metadata vapi/$(PKGNAME).gi
-
-$(PC_FILE) : $(PC_INPUT) Makefile $(CONFIG_IN)
+	vapigen --library=$(PKGNAME) --metadatadir=vapi vapi/$(PKGNAME).gi
+
+$(PC_FILE): $(PC_INPUT) Makefile $(CONFIG_IN)
 	m4 '--define=_VERSION_=$(VERSION)' '--define=_PREFIX_=$(PREFIX)' $< > $@
 
 $(EXPANDED_OBJ_FILES): $(BUILD_DIR)/%.o: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
@@ -167,5 +232,5 @@
 	libtool --mode=compile --tag=CC $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<
 
 $(LIBRARY_BIN): $(EXPANDED_OBJ_FILES)
-	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(LIBRARY_BIN)
-
+	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -version-info $(VERSION_INFO) -o $(LIBRARY_BIN)
+

=== debian/changelog ===
gexiv2 (0.4.90-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1043622)
  * debian/control:
    - Add build-depends on gobject-introspection, libgirepository1.0-dev,
      python, python-gi, python3, python3-gi
    - Add gir1.2-gexiv2-0.4 package
  * debian/rules:
    - Compile with --enable-introspection
  * debian/watch:
    - Use unstable directory
    - Use .xz file
  * debian/patches/create-dirs.patch:
    - Create directories on install
  * debian/patches/missing-gexiv2-py.patch:
    - Add missing GExiv2.py file

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Sep 2012 23:07:22 +1200

gexiv2 (0.4.1-3build1) quantal; urgency=low

  * No-change rebuild for libexiv2-12.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 May 2012 17:21:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 9), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
+Build-Depends: debhelper (>= 9), libtool, m4, gobject-introspection, libgirepository1.0-dev, python, python-gi, python3, python3-gi, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
 Standards-Version: 3.9.3
 Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
 DM-Upload-Allowed: yes
@@ -21,7 +21,7 @@
 Package: libgexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libgexiv2-1 (= ${binary:Version}), libexiv2-dev
+Depends: ${misc:Depends}, libgexiv2-1 (= ${binary:Version}), gir1.2-gexiv2-0.4 (= ${binary:Version}), libexiv2-dev
 Description: GObject-based wrapper around the Exiv2 library (development files)
  gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
  features of Exiv2 available to GNOME applications.
@@ -38,3 +38,16 @@
  features of Exiv2 available to GNOME applications.
  .
  This package contains debugging symbols.
+
+Package: gir1.2-gexiv2-0.4
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the gexiv2 library
+ This package contains introspection data for gexiv2, a GObject-based wrapper
+ around the Exiv2 library.
+ .
+ It can be used by packages using the GIRepository format to generate 
+ dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libgexiv2-1-dbg --with gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-1 (>= 0.4.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://yorba.org/download/gexiv2/([\d\.]+)/unstable/libgexiv2-([0-9\.]*)\.tar\.xz

## gexiv2 0.5.0

=== debian/changelog ===
gexiv2 (0.5.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/patches/create-dirs.patch:
  * debian/patches/missing-gexiv2-py.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Nov 2012 10:07:44 +1300

=== debian/watch ===
version=3
http://yorba.org/download/gexiv2/([\d\.]+)/libgexiv2-([0-9\.]*)\.tar\.xz

## gexiv2 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME = gexiv2
-VERSION = 0.4.90
+VERSION = 0.6.1
 WORD_SIZE:=$(shell getconf LONG_BIT)
 
 # This was necessary because the typelib files don't seem to load if the
@@ -9,7 +9,7 @@
 # This number must be edited whenever a change has been made that may affect libgexiv2's
 # external interface.  Please see http://sourceware.org/autobook/autobook/autobook_91.html
 # for the version numbering convention that should be used for this.
-VERSION_INFO = 1:0:0
+VERSION_INFO = 2:0:0
 
 LIBRARY = lib$(PKGNAME)
 LIBRARY_BIN = $(LIBRARY).la
@@ -100,7 +100,7 @@
 PC_INPUT = $(PKGNAME).m4
 PC_FILE = $(PKGNAME).pc
 
-DIST_FILES = Makefile configure $(EXPANDED_SRC_FILES) $(EXPANDED_HEADER_FILES) $(EXPANDED_VAPI_INPUT) \
+DIST_FILES = Makefile configure GExiv2.py $(EXPANDED_SRC_FILES) $(EXPANDED_HEADER_FILES) $(EXPANDED_VAPI_INPUT) \
 	$(VAPI_FILE) $(PC_INPUT) AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS
 
 DIST_TAR = $(LIBRARY)-$(VERSION).tar
@@ -125,9 +125,9 @@
 # setting CFLAGS in configure.mk overrides build type
 ifndef CFLAGS
 ifdef BUILD_DEBUG
-CFLAGS = -O0 -g -pipe -nostdlib
+CFLAGS = -O0 -g -pipe -nostdlib -shared
 else
-CFLAGS = -O2 -g -pipe -nostdlib
+CFLAGS = -O2 -g -pipe -nostdlib -shared
 endif
 endif
 
@@ -150,6 +150,7 @@
 		$(EXPANDED_INSTALLED_HEADER_FILES)      \
 		$(EXPANDED_SRC_FILES)                   \
 		--library $(LIBRARY_BIN)                \
+		$(LIBTOOL)                              \
 		--pkg=gobject-2.0
 
 clean:
@@ -165,7 +166,7 @@
 
 dist: $(DIST_FILES)
 	mkdir -p $(LIBRARY)-$(VERSION)
-	cp --parents $(DIST_FILES) $(LIBRARY)-$(VERSION)
+	cp --parents --preserve $(DIST_FILES) $(LIBRARY)-$(VERSION)
 	tar --xz -cvf $(DIST_TAR_XZ) $(LIBRARY)-$(VERSION)
 	rm -rf $(LIBRARY)-$(VERSION)
 
@@ -186,13 +187,17 @@
 	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
 	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi
 ifdef ENABLE_INTROSPECTION
+	-@mkdir -p $(DESTDIR)$(PREFIX)/share/gir-1.0
 	$(INSTALL_DATA) GExiv2-$(GIR_VERSION).gir $(DESTDIR)$(PREFIX)/share/gir-1.0
+	@mkdir -p $(DESTDIR)$(TYPELIB)
 	$(INSTALL_DATA) GExiv2-$(GIR_VERSION).typelib $(DESTDIR)$(TYPELIB)
 # No introspection, no .gi file for the Python module to call into
 ifneq "$(PYTHON2)" ""
+	@mkdir -p $(DESTDIR)$(PYTHON2)
 	$(INSTALL_DATA) GExiv2.py $(DESTDIR)$(PYTHON2)
 endif
 ifneq "$(PYTHON3)" ""
+	@mkdir -p $(DESTDIR)$(PYTHON3)
 	$(INSTALL_DATA) GExiv2.py $(DESTDIR)$(PYTHON3)
 endif
 endif
@@ -226,11 +231,11 @@
 $(PC_FILE): $(PC_INPUT) Makefile $(CONFIG_IN)
 	m4 '--define=_VERSION_=$(VERSION)' '--define=_PREFIX_=$(PREFIX)' $< > $@
 
-$(EXPANDED_OBJ_FILES): $(BUILD_DIR)/%.o: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
+$(EXPANDED_LO_FILES): $(BUILD_DIR)/%.lo: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
 	@pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
 	@mkdir -p $(BUILD_DIR)
-	libtool --mode=compile --tag=CC $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<
-
-$(LIBRARY_BIN): $(EXPANDED_OBJ_FILES)
-	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -version-info $(VERSION_INFO) -o $(LIBRARY_BIN)
-
+	libtool --mode=compile --tag=CC $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) $(CPPFLAGS) -I. -o $@ $<
+
+$(LIBRARY_BIN): $(EXPANDED_LO_FILES)
+	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -version-info $(VERSION_INFO) -o $(LIBRARY_BIN)
+

=== debian/changelog ===
gexiv2 (0.6.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 20:49:49 +0200

gexiv2 (0.6.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/control:
    - Rename shared library and debug packages after SONAME bump.
  * debian/copyright:
    - Add missing copyright information.
    - Update copyright years.
  * debian/libgexiv2-2.install:
    - Renamed from libgexiv2-1.install after SONAME bump.
  * debian/libgexiv2-1.lintian-overrides:
    - Removed, no longer needed.
  * debian/rules:
    - Rename debug package after SONAME bump.
    - Adjust dh_makeshlibs call.
  * debian/watch:
    - Fix watch file to match upstream tarball names.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 20 Mar 2013 23:52:10 +0100

gexiv2 (0.5.0-2) experimental; urgency=low

  * Team upload.
  * debian/control:
    - Build depend on python-gi and python3-gi.
  * debian/gir1.2-gexiv2-0.4.install:
    - Install Python introspection override files (Closes: #697204).
  * debian/patches/python2.patch:
    - Correct Python 2.X interpreter name. Debian does not have a
      python2 link (yet), relying on it broke the generation of
      the introspection override files.
  * debian/libgexiv2-1.lintian-overrides:
    - hardening-check discovers unprotected functions only.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 31 Jan 2013 20:45:40 +0100

gexiv2 (0.5.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Add support for GObject introspection (Closes: #690940).
  * debian/control:
    - Remove DM-Upload-Allowed field.
    - Bump Standards-Version to 3.9.4, no changes required.
  * debian/watch:
    - Track xz tarballs.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 28 Nov 2012 12:06:29 +0100

=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               libtool,
               m4,
               libglib2.0-dev,
               libexiv2-dev (>= 0.21),
               libexpat1-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               python-gi,
               python3-gi
Standards-Version: 3.9.4
Homepage: http://redmine.yorba.org/projects/gexiv2/wiki

Package: libgexiv2-2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: shotwell (<< 0.12)
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: gir1.2-gexiv2-0.4
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based wrapper around the Exiv2 library - introspection data
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains introspection data.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgexiv2-2 (= ${binary:Version}),
         gir1.2-gexiv2-0.4 (= ${binary:Version}),
         libexiv2-dev
Description: GObject-based wrapper around the Exiv2 library - development files
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgexiv2-2 (= ${binary:Version})
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir --dbg-package=libgexiv2-2-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-2 (>= 0.6.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://yorba.org/download/gexiv2/([\d\.]+)/libgexiv2[_-]([0-9\.]*)\.tar\.xz

## gexiv2 0.7.0

=== debian/changelog ===
gexiv2 (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/libgexiv2-2.symbols.amd64:
    - Refresh for new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.
  * debian/rules:
    - Adjust dh_makeshlibs call.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 25 Dec 2013 14:31:08 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libgirepository1.0-dev,
                python-gi,
                python3-gi
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
 
 Package: libgexiv2-2

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_auto_configure -- --enable-introspection
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libgexiv2-2 (>= 0.6.1)'
+	dh_makeshlibs -V 'libgexiv2-2 (>= 0.7.0)'
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## gexiv2 0.10.0

=== debian/changelog ===
gexiv2 (0.10.0-1ubuntu1) trusty; urgency=medium

  * Use Conflicts/Replaces to remove the old gir1.2-gexiv0.4 instead of
    Breaks/Replaces which isn't enough for all resolvers.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Apr 2014 10:42:38 +0100

gexiv2 (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Mar 2014 13:48:58 +0100

gexiv2 (0.9.1-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/exiv2_pc.patch:
    - Remove exiv2 from required bindings, it is not needed.
  * debian/patches/python2.patch:
    - Removed, no longer used.
  * debian/control:
    - Re-add myself as Uploader.
    - Enable multi-arch support.
    - Build-depend on dh-autoreconf instead of libtool and m4.
    - Drop libexpat1-dev from Build-Depends field.
    - Rename introspection package to gir1.2-gexiv2-0.10 to
      match version.
    - Replace libexiv2-dev with libglib2.0-dev in libgexiv2-dev
      package Depends field, thanks to Pino Toscano (Closes: #733109).
    - Adjust Homepage field to reflect the the new location.
  * debian/gir1.2-gexiv2-0.10.install:
    - Rename from gir1.2-gexiv2-0.4.install to match version.
  * debian/libgexiv2-2.symbols:
    - Refresh symbols file with new definitions
  * debian/rules:
    - Add dh_autoreconf sequencer.
    - Adjust dh_makeshlibs call.
  * debian/watch:
    - Point to the GNOME FTP server.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 18 Feb 2014 10:52:52 +0100

=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>,
           Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev,
               libexiv2-dev (>= 0.21),
               gobject-introspection,
               libgirepository1.0-dev,
               python-gi,
               python3-gi
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Projects/gexiv2

Package: libgexiv2-2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: shotwell (<< 0.12)
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: gir1.2-gexiv2-0.10
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.2-gexiv2-0.4
Replaces: gir1.2-gexiv2-0.4
Multi-Arch: foreign
Description: GObject-based wrapper around the Exiv2 library - introspection data
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains introspection data.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgexiv2-2 (= ${binary:Version}),
         gir1.2-gexiv2-0.10 (= ${binary:Version}),
         libglib2.0-dev
Multi-Arch: foreign
Description: GObject-based wrapper around the Exiv2 library - development files
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgexiv2-2 (= ${binary:Version})
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,gir --dbg-package=libgexiv2-2-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection --enable-static

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-2 (>= 0.9.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gexiv2 0.10.1

=== debian/changelog ===
gexiv2 (0.10.1-1build1) utopic; urgency=medium

  * No change rebuild against new libexiv2-13

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 14:52:06 +1200

gexiv2 (0.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix broken Python binding (Closes: #745596).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Apr 2014 11:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>,
            Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -35,7 +34,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: gir1.2-gexiv2-0.4
+Breaks: gir1.2-gexiv2-0.4
 Replaces: gir1.2-gexiv2-0.4
 Multi-Arch: foreign
 Description: GObject-based wrapper around the Exiv2 library - introspection data

## gexiv2 0.10.2

=== debian/changelog ===
gexiv2 (0.10.2-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build-depend on libtool-bin (Closes: #761750).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 10 Oct 2014 13:58:31 +0200

gexiv2 (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/smoketest, debian/tests/gir.smoketest:
    - Provide some simple tests to check whether the packages are
      fucntional, as per DEP8 (autopkgtests).
  * debian/control:
    - Bump Standards-Version to 3.9.6, no changes required.
    - Make gir1.2-gexiv2-0.10 multiarch-same.
  * debian/gir1.2-gexiv2-0.10.install:
    - Look for multiarch path.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 26 Sep 2014 22:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
            Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               libtool-bin,
                libglib2.0-dev,
                libexiv2-dev (>= 0.21),
                gobject-introspection,
                libgirepository1.0-dev,
                python-gi,
                python3-gi
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/gexiv2
+XS-Testsuite: autopkgtest
 
 Package: libgexiv2-2
 Architecture: any
@@ -36,7 +38,7 @@
          ${misc:Depends}
 Breaks: gir1.2-gexiv2-0.4
 Replaces: gir1.2-gexiv2-0.4
-Multi-Arch: foreign
+Multi-Arch: same
 Description: GObject-based wrapper around the Exiv2 library - introspection data
  gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
  features of Exiv2 available to GNOME applications.
